Runtime

## org.eclipse.gmf.runtime.draw2d.ui.figures
Class GravityDirectionType

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.util.EnumeratedType
          org.eclipse.gmf.runtime.draw2d.ui.figures.GravityDirectionType

All Implemented Interfaces:
  java.io.Serializable

public class GravityDirectionType
extends EnumeratedType

An enumeration of Gravity Direction types.

See Also:
  Serialized Form

Field Summary
`static GravityDirectionType` `EAST` Constant for a east orientation
`static GravityDirectionType` `NORTH` Constant for a north orientation
`static GravityDirectionType` `SOUTH` Constant for a south orientation
`static GravityDirectionType` `WEST` Constant for a west orientation

Constructor Summary
`protected` `GravityDirectionType(java.lang.String name, int ordinal)` Constructs a new gravity direction kind type with the specified name and ordinal.

Method Summary
`protected java.util.List` `getValues()` Retrieves the list of constants for this enumerated type.

Methods inherited from class org.eclipse.gmf.runtime.common.core.util.EnumeratedType
`equals, getName, getOrdinal, hashCode, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NORTH

    public static final GravityDirectionType NORTH

  Constant for a north orientation

### EAST

    public static final GravityDirectionType EAST

  Constant for a east orientation

### SOUTH

    public static final GravityDirectionType SOUTH

  Constant for a south orientation

### WEST

    public static final GravityDirectionType WEST

  Constant for a west orientation

Constructor Detail

### GravityDirectionType

    protected GravityDirectionType(java.lang.String name,
                                   int ordinal)

  Constructs a new gravity direction kind type with the specified name and ordinal.

Parameters:
  `name` - The name of the new gravity direction kind type.
  `ordinal` - The ordinal for the new gravity direction kind type.

Method Detail

### getValues

    protected java.util.List getValues()

  Retrieves the list of constants for this enumerated type.

  Specified by:
    `getValues` in class `EnumeratedType`
  Returns:
    The list of constants for this enumerated type.
  See Also:
    `EnumeratedType.getValues()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.